打印

lnmp 1.4版本,SSL证书更新有问题 The manual plugin is not working

lnmp 1.4版本,SSL证书更新有问题 The manual plugin is not working

lnmp 1.4 版本,看crontab里面任务是这样的  sh /root/certbot-auto renew

执行证书更新的时候会报错

Cert is due for renewal, auto-renewing...
Could not choose appropriate plugin: The manual plugin is not working; there may be problems with your existing configuration.
The error was: PluginError('An authentication script must be provided with --manual-auth-hook when using the manual plugin non-interactively.',)
Attempting to renew cert (aaaa.com) from /etc/letsencrypt/renewal/aaaa.com.conf produced an unexpected error: The manual plugin is not working; there may be problems with your existing configuration.
The error was: PluginError('An authentication script must be provided with --manual-auth-hook when using the manual plugin non-interactively.',). Skipping.
All renewal attempts failed. The following certs could not be renewed:
  /etc/letsencrypt/live/aaaa.com/fullchain.pem (failure)  


网上查了说 通过手动模式获取的 letsencrypt 证书是无法通过执行 /usr/bin/letsencrypt renew 来刷新,会出现上面的问题
那么怎么解决啊

[ 本帖最后由 604542720 于 2018-6-19 15:18 编辑 ]

TOP

回复 1# 的帖子

1.4中crontab里面是没你说的这个的,有的话可能是你手动安装的,lnmp的不是这个目录及名字
certbot已被放弃,建议升级到1.5新的ssl证书生成新的,可以查看官网教程

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP